#!/bin/sh
echo 'name: mwc-random
version: 0.10.0.1
id: mwc-random-0.10.0.1-aaf0e71e9264887c60d4af30667e9012

license: BSD3
copyright: 2009, 2010, 2011 Bryan O'\''Sullivan
maintainer: Bryan O'\''Sullivan <bos@serpentine.com>
stability:
homepage: https://github.com/bos/mwc-random
package-url:
description: This package contains code for generating high quality random
             numbers that follow either a uniform or normal distribution.  The
             generated numbers are suitable for use in statistical applications.
             .
             The uniform PRNG uses Marsaglia'\''s MWC256 (also known as MWC8222)
             multiply-with-carry generator, which has a period of 2^8222 and
             fares well in tests of randomness.  It is also extremely fast,
             between 2 and 3 times faster than the Mersenne Twister.
             .
             Compared to the mersenne-random package, this package has a more
             convenient API, is faster, and supports more statistical
             distributions.
category: Math, Statistics
author: Bryan O'\''Sullivan <bos@serpentine.com>
pkgpath: security/hs-mwc-random
exposed: True
exposed-modules: System.Random.MWC
hidden-modules:
import-dirs: /usr/local/lib/ghc/mwc-random-0.10.0.1
library-dirs: /usr/local/lib/ghc/mwc-random-0.10.0.1
hs-libraries: HSmwc-random-0.10.0.1
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.3.1.0-4365831fa9af03083be195ed161cbbc1
         primitive-0.3.1-c9e4468cc744c0e030467f8c31383955
         time-1.2.0.3-3493203919ef238f1a58223fa55b1ceb
         vector-0.7.1-8801549ab29457801fbe1eca2f7ad3c5
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-mwc-random-0.10.0.1/html/mwc-random.haddock
haddock-html: /usr/local/share/doc/hs-mwc-random-0.10.0.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
